Functions
Data_Management
Peripheral Driver » LL Driver » QSPI | Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE void | ll_qspi_transmit_data8 (qspi_regs_t *QSPIx, uint8_t tx_data)
| Write 8-Bits in the data register. More...
__STATIC_INLINE void | ll_qspi_transmit_data16 (qspi_regs_t *QSPIx, uint16_t tx_data)
| Write 16-Bits in the data register. More...
__STATIC_INLINE void | ll_qspi_transmit_data32 (qspi_regs_t *QSPIx, uint32_t tx_data)
| Write 32-Bits in the data register. More...
__STATIC_INLINE uint8_t | ll_qspi_receive_data8 (qspi_regs_t *QSPIx)
| Read 8-Bits in the data register. More...
__STATIC_INLINE uint16_t | ll_qspi_receive_data16 (qspi_regs_t *QSPIx)
| Read 16-Bits in the data register. More...
__STATIC_INLINE uint32_t | ll_qspi_receive_data32 (qspi_regs_t *QSPIx)
| Read 32-Bits in the data register. More...
__STATIC_INLINE void | ll_qspi_set_rx_sample_edge (qspi_regs_t *QSPIx, uint32_t edge)
| Set the RX sample edge. More...
__STATIC_INLINE uint32_t | ll_qspi_get_rx_sample_edge (qspi_regs_t *QSPIx)
| Get the RX sample edge. More...
__STATIC_INLINE void | ll_qspi_set_rx_sample_delay (qspi_regs_t *QSPIx, uint32_t delay)
| Set Rx sample delay. More...
__STATIC_INLINE uint32_t | ll_qspi_get_rx_sample_delay (qspi_regs_t *QSPIx)
| Get Rx sample delay. More...
__STATIC_INLINE void | ll_qspi_enable_clk_stretch (qspi_regs_t *QSPIx)
| Enable the clock stretch feature for Enhanced SPI. More...
__STATIC_INLINE void | ll_qspi_disable_clk_stretch (qspi_regs_t *QSPIx)
| Disable the clock stretch feature for Enhanced SPI. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_clk_stretch (qspi_regs_t *QSPIx)
| Check if the clock stretch feature is enabled or not for Enhanced SPI. More...
__STATIC_INLINE void | ll_qspi_set_wait_cycles (qspi_regs_t *QSPIx, uint32_t wait_cycles)
| Set number of wait cycles in Dual/Quad SPI mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_wait_cycles (qspi_regs_t *QSPIx)
| Get number of wait cycles in Dual/Quad SPI mode. More...
__STATIC_INLINE void | ll_qspi_set_instruction_size (qspi_regs_t *QSPIx, uint32_t size)
| Set Dual/Quad SPI mode instruction length in bits. More...
__STATIC_INLINE uint32_t | ll_qspi_get_instruction_size (qspi_regs_t *QSPIx)
| Get Dual/Quad SPI mode instruction length in bits. More...
__STATIC_INLINE void | ll_qspi_set_address_size (qspi_regs_t *QSPIx, uint32_t size)
| Set Dual/Quad SPI mode address length in bits. More...
__STATIC_INLINE uint32_t | ll_qspi_get_address_size (qspi_regs_t *QSPIx)
| Get Dual/Quad SPI mode address length in bits. More...
__STATIC_INLINE void | ll_qspi_set_add_inst_transfer_format (qspi_regs_t *QSPIx, uint32_t format)
| Set Dual/Quad SPI mode address and instruction transfer format. More...
__STATIC_INLINE uint32_t | ll_qspi_get_addr_inst_transfer_format (qspi_regs_t *QSPIx)
| Get Dual/Quad SPI mode address and instruction transfer format. More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_mode_bits (qspi_regs_t *QSPIx)
| Enable the mode bits phase for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_mode_bits (qspi_regs_t *QSPIx)
| Disable the mode bits phase for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_mode_bits (qspi_regs_t *QSPIx)
| Check if the mode bits phase is enabled or not for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_mode_bits_length (qspi_regs_t *QSPIx, uint32_t mbl)
| Set the length of mode bits phase for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_mode_bits_length (qspi_regs_t *QSPIx)
| Get the length of mode bits phase for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_mode_bits_data (qspi_regs_t *QSPIx, uint32_t mode)
| set the mode phase (sent after address phase) value in xip mode More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_mode_bits_data (qspi_regs_t *QSPIx)
| get the mode phase (sent after address phase) value in xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_incr_inst (qspi_regs_t *QSPIx, uint32_t inst)
| set the ahb-incr transfer instruction in xip mode More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_incr_inst (qspi_regs_t *QSPIx)
| get the ahb-incr transfer instruction in xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wrap_inst (qspi_regs_t *QSPIx, uint32_t inst)
| set the ahb-wrap transfer instruction in xip mode More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wrap_inst (qspi_regs_t *QSPIx)
| get the ahb-wrap transfer instruction in xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_ss (qspi_regs_t *QSPIx, uint32_t ss)
| Enable the slave in xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_ss (qspi_regs_t *QSPIx, uint32_t ss)
| Disable the slave in xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_ss (qspi_regs_t *QSPIx, uint32_t ss)
| Check if the slave is enabled or not for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_toc (qspi_regs_t *QSPIx, uint32_t xtoc)
| Set time out count for continuous transfer for xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_toc (qspi_regs_t *QSPIx)
| Get time out count for continuous transfer for xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_prefetch (qspi_regs_t *QSPIx)
| Enable the pre-fetch feature for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_prefetch (qspi_regs_t *QSPIx)
| Disable the pre-fetch feature for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_prefetch (qspi_regs_t *QSPIx)
| check if the pre-fetch feature is enabled or not for concurrent xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_continuous_xfer (qspi_regs_t *QSPIx)
| Enable the continuous transfer feature for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_continuous_xfer (qspi_regs_t *QSPIx)
| Disable the continuous transfer feature for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_continuous_xfer (qspi_regs_t *QSPIx)
| Check if the continuous transfer feature is enabled or not for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_instruction (qspi_regs_t *QSPIx)
| Enable the instruction phase for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_instruction (qspi_regs_t *QSPIx)
| Disable the instruction phase for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_instruction (qspi_regs_t *QSPIx)
| Check if the instruction phase is enabled or not for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_instruction_size (qspi_regs_t *QSPIx, uint32_t inst_size)
| Set the instruction size for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_instruction_size (qspi_regs_t *QSPIx)
| Get the instruction size for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_enable_xip_dfs_hardcode (qspi_regs_t *QSPIx)
| Enable the hardcoded DFS feature for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_disable_xip_dfs_hardcode (qspi_regs_t *QSPIx)
| Disable the hardcoded DFS feature for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_is_enabled_xip_dfs_hardcode (qspi_regs_t *QSPIx)
| Check if the hardcoded DFS feature is enabled or not for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wait_cycles (qspi_regs_t *QSPIx, uint32_t wait_cycles)
| Set the wait(also called dummy) cycles for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wait_cycles (qspi_regs_t *QSPIx)
| Get the wait(also called dummy) cycles for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_address_size (qspi_regs_t *QSPIx, uint32_t addr_size)
| Set the address size for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_address_size (qspi_regs_t *QSPIx)
| Get the address size for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_inst_addr_transfer_format (qspi_regs_t *QSPIx, uint32_t format)
| Set the transfer format of inst & address for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_addr_inst_transfer_format (qspi_regs_t *QSPIx)
| Get the transfer format of inst & address for concurrent xip mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_frame_format (qspi_regs_t *QSPIx, uint32_t format)
| Set the QSPI frame format for concurrent xip mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_frame_format (qspi_regs_t *QSPIx)
| Get the QSPI frame format for concurrent xip mode. More...
void | ll_qspi_enable_xip (qspi_regs_t *QSPIx)
| Enable qspi xip mode. More...
void | ll_qspi_disable_xip (qspi_regs_t *QSPIx)
| Disable qspi xip mode. More...
uint32_t | ll_qspi_is_enabled_xip (qspi_regs_t *QSPIx)
| Check if qspi xip mode is enabled. More...
__STATIC_INLINE void | ll_qspi_set_xip_endian_mode (qspi_regs_t *QSPIx, uint32_t mode)
| Set xip's endian mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_xip_endian_mode (qspi_regs_t *QSPIx)
| Get xip's endian mode. More...
__STATIC_INLINE void | ll_qspi_enable_dws (qspi_regs_t *QSPIx)
| Enable dynamic of wait states for QSPI peripheral. More...
__STATIC_INLINE void | ll_qspi_disable_dws (qspi_regs_t *QSPIx)
| Disable dynamic of wait states for QSPI peripheral. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_dws (qspi_regs_t *QSPIx)
| Check if dynamic of wait states for QSPI peripheral is enabled. More...
__STATIC_INLINE void | ll_qspi_clear_flag_spite (qspi_regs_t *QSPIx)
| Clear QSPI Transmit Error interrupt. More...
__STATIC_INLINE void | ll_qspi_set_max_wait_cycles (qspi_regs_t *QSPIx, uint32_t max_ws)
| set the max wait cycles per transaction for dynamic wait state More...
__STATIC_INLINE uint32_t | ll_qspi_get_max_wait_cycles (qspi_regs_t *QSPIx)
| get the max wait cycles per transaction for dynamic wait state More...
__STATIC_INLINE void | ll_qspi_set_dynamic_wait_state (qspi_regs_t *QSPIx, uint32_t dyn_ws)
| set the value for dynamic wait state More...
__STATIC_INLINE uint32_t | ll_qspi_get_dynamic_wait_state (qspi_regs_t *QSPIx, uint32_t dyn_ws)
| get the value for dynamic wait state More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_incr_inst (qspi_regs_t *QSPIx, uint32_t inst)
| set the ahb-incr transfer instruction for write in xip mode More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_incr_inst (qspi_regs_t *QSPIx)
| get the ahb-incr transfer instruction for write in xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_wrap_inst (qspi_regs_t *QSPIx, uint32_t inst)
| set the ahb-wrap transfer instruction for write in xip mode More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_wrap_inst (qspi_regs_t *QSPIx)
| get the ahb-wrap transfer instruction for write in xip mode More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_wait_cycles (qspi_regs_t *QSPIx, uint32_t wait_cycles)
| Set the wait(also called dummy) cycles for concurrent xip write mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_wait_cycles (qspi_regs_t *QSPIx)
| Get the wait(also called dummy) cycles for concurrent xip write mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_instruction_size (qspi_regs_t *QSPIx, uint32_t inst_size)
| Set the instruction size for concurrent xip write mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_instruction_size (qspi_regs_t *QSPIx)
| Get the instruction size for concurrent xip write mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_address_size (qspi_regs_t *QSPIx, uint32_t addr_size)
| Set the address size for concurrent xip write mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_address_size (qspi_regs_t *QSPIx)
| Get the address size for concurrent xip write mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_inst_addr_transfer_format (qspi_regs_t *QSPIx, uint32_t format)
| Set the transfer format of inst & address for concurrent xip write mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_addr_inst_transfer_format (qspi_regs_t *QSPIx)
| Get the transfer format of inst & address for concurrent xip write mode. More...
__STATIC_INLINE void | ll_qspi_concurrent_set_xip_wr_frame_format (qspi_regs_t *QSPIx, uint32_t format)
| Set the QSPI frame format for concurrent xip write mode. More...
__STATIC_INLINE uint32_t | ll_qspi_concurrent_get_xip_wr_frame_format (qspi_regs_t *QSPIx)
| Get the QSPI frame format for concurrent xip write mode. More...
__STATIC_INLINE void | ll_qspi_enable_hresp_err_debug_mode (void)
| Enable the AHB Response Error Debug for all QSPI Modules. if violation, hardfault happens. More...
__STATIC_INLINE void | ll_qspi_disable_hresp_err_debug_mode (void)
| Disable the AHB Response Error Debug for all QSPI Modules. if violation, hardfault happens. More...
__STATIC_INLINE uint32_t | ll_qspi_is_hresp_err_debug_mode_enabled (void)
| Check if the AHB Response Error Debug is enabled for all QSPI Modules. More...
__STATIC_INLINE void | ll_qspi_set_cs_setup_delay (qspi_regs_t *QSPIx, uint32_t delay)
| Set CS Setup Delay for QSPI. More...
__STATIC_INLINE uint32_t | ll_qspi_get_cs_setup_delay (qspi_regs_t *QSPIx)
| Get CS Setup Delay for QSPI. More...
__STATIC_INLINE void | ll_qspi_set_cs_release_delay (qspi_regs_t *QSPIx, uint32_t delay)
| Set CS Release Delay for QSPI. More...
__STATIC_INLINE uint32_t | ll_qspi_get_cs_release_delay (qspi_regs_t *QSPIx)
| Get CS Release Delay for QSPI. More...
__STATIC_INLINE void | ll_qspi_enable_xip_dynamic_le (qspi_regs_t *QSPIx)
| Enable qspi xip dynamic little-endian mode. More...
__STATIC_INLINE void | ll_qspi_disable_xip_dynamic_le (qspi_regs_t *QSPIx)
| Disable qspi xip dynamic little-endian mode. More...
__STATIC_INLINE uint32_t | ll_qspi_is_enabled_xip_dynamic_le (qspi_regs_t *QSPIx)
| Check if qspi xip dynamic little-endian mode is enabled. More...
__STATIC_INLINE uint32_t | ll_qspi_get_reg_mode_rx_fifo_depth (qspi_regs_t *QSPIx)
| Get Receive FIFO Depth Of Register Mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_reg_mode_tx_fifo_depth (qspi_regs_t *QSPIx)
| Get Transmit FIFO Depth Of Register Mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_xip_mode_rx_fifo_depth (qspi_regs_t *QSPIx)
| Get Receive FIFO Depth Of XIP Mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_xip_mode_tx_fifo_depth (qspi_regs_t *QSPIx)
| Get Transmit FIFO Depth Of XIP Mode. More...
__STATIC_INLINE uint32_t | ll_qspi_get_xip_base_address (qspi_regs_t *QSPIx)
| Get Transmit FIFO Depth Of XIP Mode. More...
__STATIC_INLINE void | ll_spi_transmit_data8 (spi_regs_t *SPIx, uint8_t tx_data)
| Write 8-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_transmit_data16 (spi_regs_t *SPIx, uint16_t tx_data)
| Write 16-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_transmit_data32 (spi_regs_t *SPIx, uint32_t tx_data)
| Write 32-Bits in the data register. More...
__STATIC_INLINE uint8_t | ll_spi_receive_data8 (spi_regs_t *SPIx)
| Read 8-Bits in the data register. More...
__STATIC_INLINE uint16_t | ll_spi_receive_data16 (spi_regs_t *SPIx)
| Read 16-Bits in the data register. More...
__STATIC_INLINE uint32_t | ll_spi_receive_data32 (spi_regs_t *SPIx)
| Read 32-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_set_rx_sample_delay (spi_regs_t *SPIx, uint32_t delay)
| Set Rx sample delay. More...
__STATIC_INLINE uint32_t | ll_spi_get_rx_sample_delay (spi_regs_t *SPIx)
| Get Rx sample delay. More...

## Detailed Description

## Function Documentation

## ◆ ll_qspi_clear_flag_spite()

__STATIC_INLINE void ll_qspi_clear_flag_spite | ( | qspi_regs_t * | QSPIx | ) |

Clear QSPI Transmit Error interrupt.

Note
  Clearing this flag is done by reading SPITEIC register

Register|BitsName --------|-------- SPI_TEIC | SPI_TEIC

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3427 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_continuous_xfer()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_continuous_xfer | ( | qspi_regs_t * | QSPIx | ) |

Disable the continuous transfer feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | CONT_XFER_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2943 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_dfs_hardcode()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_dfs_hardcode | ( | qspi_regs_t * | QSPIx | ) |

Disable the hardcoded DFS feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | DFS_HC

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 3079 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_instruction()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_instruction | ( | qspi_regs_t * | QSPIx | ) |

Disable the instruction phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | INST_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2991 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_mode_bits()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_mode_bits | ( | qspi_regs_t * | QSPIx | ) |

Disable the mode bits phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | MD_BITS_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2625 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_prefetch()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_prefetch | ( | qspi_regs_t * | QSPIx | ) |

Disable the pre-fetch feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | XIP_PREFETCH_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2895 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_disable_xip_ss()

__STATIC_INLINE void ll_qspi_concurrent_disable_xip_ss | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | ss
| ) |  |

Disable the slave in xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_SER | SER

Parameters

  QSPIx | - QSPI instance
  ss | - LL_QSPI_CONCURRENT_XIP_SLAVE0

Return values

  None |

Definition at line 2813 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_continuous_xfer()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_continuous_xfer | ( | qspi_regs_t * | QSPIx | ) |

Enable the continuous transfer feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | CONT_XFER_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2927 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_dfs_hardcode()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_dfs_hardcode | ( | qspi_regs_t * | QSPIx | ) |

Enable the hardcoded DFS feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | DFS_HC

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 3063 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_instruction()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_instruction | ( | qspi_regs_t * | QSPIx | ) |

Enable the instruction phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | INST_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2975 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_mode_bits()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_mode_bits | ( | qspi_regs_t * | QSPIx | ) |

Enable the mode bits phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | MD_BITS_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2609 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_prefetch()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_prefetch | ( | qspi_regs_t * | QSPIx | ) |

Enable the pre-fetch feature for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | XIP_PREFETCH_EN

Parameters

  QSPIx | - QSPI instance

Return values

  none |

Definition at line 2879 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_enable_xip_ss()

__STATIC_INLINE void ll_qspi_concurrent_enable_xip_ss | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | ss
| ) |  |

Enable the slave in xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_SER | SER

Parameters

  QSPIx | - QSPI instance
  ss | - LL_QSPI_CONCURRENT_XIP_SLAVE0

Return values

  None |

Definition at line 2796 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_addr_inst_transfer_format()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_addr_inst_transfer_format | ( | qspi_regs_t * | QSPIx | ) |

Get the transfer format of inst & address for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | TRANS_TYPE

Parameters

  QSPIx | - QSPI instance

Return values

  format | - LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPI LL_QSPI_CONCURRENT_XIP_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPIFRF

Definition at line 3230 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_address_size()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_address_size | ( | qspi_regs_t * | QSPIx | ) |

Get the address size for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | ADDR_L

Parameters

  QSPIx | - QSPI instance

Return values

  addr_size | - LL_QSPI_CONCURRENT_XIP_ADDRSIZE_0BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_4BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_8BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_12BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_16BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_20BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_24BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_28BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_32BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_36BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_40BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_44BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_48BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_52BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_56BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_60BIT

Definition at line 3192 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_frame_format()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_frame_format | ( | qspi_regs_t * | QSPIx | ) |

Get the QSPI frame format for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | FRF

Parameters

  QSPIx | - QSPI instance

Return values

  format | - LL_QSPI_CONCURRENT_XIP_FRF_RSVD LL_QSPI_CONCURRENT_XIP_FRF_DUAL_SPI LL_QSPI_CONCURRENT_XIP_FRF_QUAD_SPI LL_QSPI_CONCURRENT_XIP_FRF_OCTAL_SPI

Definition at line 3271 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_incr_inst()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_incr_inst | ( | qspi_regs_t * | QSPIx | ) |

get the ahb-incr transfer instruction in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_INCR_INST | INCR_INST

Parameters

  QSPIx | - QSPI instance

Return values

  inst | - instruction op-code, [0 ~ 0xFFFF]

Definition at line 2746 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_instruction_size()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_instruction_size | ( | qspi_regs_t * | QSPIx | ) |

Get the instruction size for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | INST_L

Parameters

  QSPIx | - QSPI instance

Return values

  inst_size | - LL_QSPI_CONCURRENT_XIP_INSTSIZE_0BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_4BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_8BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_16BIT

Definition at line 3046 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_mode_bits_data()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_mode_bits_data | ( | qspi_regs_t * | QSPIx | ) |

get the mode phase (sent after address phase) value in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_MODE_BITS | XIP_MD_BITS

Parameters

  QSPIx | - QSPI instance

Return values

  mode | value, [0 ~ 0xFFFF]

Definition at line 2713 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_mode_bits_length()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_mode_bits_length | ( | qspi_regs_t * | QSPIx | ) |

Get the length of mode bits phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | XIP_MBL

Parameters

  QSPIx | - QSPI instance

Return values

  mbl | - LL_QSPI_CONCURRENT_XIP_MBL_2 LL_QSPI_CONCURRENT_XIP_MBL_4 LL_QSPI_CONCURRENT_XIP_MBL_8 LL_QSPI_CONCURRENT_XIP_MBL_16

Definition at line 2680 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_toc()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_toc | ( | qspi_regs_t * | QSPIx | ) |

Get time out count for continuous transfer for xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CNT_TIME_OUT | XTOC

Parameters

  QSPIx | - QSPI instance

Return values

  xtoc | - time out counter value in terms of hclk [0 ~ 0xFF]

Definition at line 2863 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wait_cycles()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wait_cycles | ( | qspi_regs_t * | QSPIx | ) |

Get the wait(also called dummy) cycles for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | WAIT_CYCLES

Parameters

  QSPIx | - QSPI instance

Return values

  wait_cycles | - 0 ~ 31

Definition at line 3128 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_addr_inst_transfer_format()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_addr_inst_transfer_format | ( | qspi_regs_t * | QSPIx | ) |

Get the transfer format of inst & address for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | TRANS_TYPE

Parameters

  QSPIx | - QSPI instance

Return values

  format | - LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPI LL_QSPI_CONCURRENT_XIP_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPIFRF

Definition at line 3725 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_address_size()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_address_size | ( | qspi_regs_t * | QSPIx | ) |

Get the address size for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | ADDRL

Parameters

  QSPIx | - QSPI instance

Return values

  addr_size | - LL_QSPI_CONCURRENT_XIP_ADDRSIZE_0BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_4BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_8BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_12BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_16BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_20BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_24BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_28BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_32BIT

Definition at line 3687 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_frame_format()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_frame_format | ( | qspi_regs_t * | QSPIx | ) |

Get the QSPI frame format for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | FRF

Parameters

  QSPIx | - QSPI instance

Return values

  format | - LL_QSPI_CONCURRENT_XIP_FRF_RSVD LL_QSPI_CONCURRENT_XIP_FRF_DUAL_SPI LL_QSPI_CONCURRENT_XIP_FRF_QUAD_SPI LL_QSPI_CONCURRENT_XIP_FRF_OCTAL_SPI

Definition at line 3766 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_incr_inst()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_incr_inst | ( | qspi_regs_t * | QSPIx | ) |

get the ahb-incr transfer instruction for write in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_INCR_INST | WR_INCR_INST

Parameters

  QSPIx | - QSPI instance

Return values

  inst | - instruction op-code, [0 ~ 0xFFFF]

Definition at line 3529 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_instruction_size()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_instruction_size | ( | qspi_regs_t * | QSPIx | ) |

Get the instruction size for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | INSTL

Parameters

  QSPIx | - QSPI instance

Return values

  inst_size | - LL_QSPI_CONCURRENT_XIP_INSTSIZE_0BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_4BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_8BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_16BIT

Definition at line 3636 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_wait_cycles()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_wait_cycles | ( | qspi_regs_t * | QSPIx | ) |

Get the wait(also called dummy) cycles for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | WAITCYCLES

Parameters

  QSPIx | - QSPI instance

Return values

  wait_cycles | - 0 ~ 31

Definition at line 3596 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wr_wrap_inst()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wr_wrap_inst | ( | qspi_regs_t * | QSPIx | ) |

get the ahb-wrap transfer instruction for write in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_WRAP_INST | WR_WRAP_INST

Parameters

  QSPIx | - QSPI instance

Return values

  inst | - instruction op-code, [0 ~ 0xFFFF]

Definition at line 3562 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_get_xip_wrap_inst()

__STATIC_INLINE uint32_t ll_qspi_concurrent_get_xip_wrap_inst | ( | qspi_regs_t * | QSPIx | ) |

get the ahb-wrap transfer instruction in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WRAP_INST | WRAP_INST

Parameters

  QSPIx | - QSPI instance

Return values

  inst | - instruction op-code, [0 ~ 0xFFFF]

Definition at line 2779 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_continuous_xfer()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_continuous_xfer | ( | qspi_regs_t * | QSPIx | ) |

Check if the continuous transfer feature is enabled or not for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | CONT_XFER_EN

Parameters

  QSPIx | - QSPI instance

Return values

  TRUE/FALSE |

Definition at line 2959 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_dfs_hardcode()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_dfs_hardcode | ( | qspi_regs_t * | QSPIx | ) |

Check if the hardcoded DFS feature is enabled or not for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | DFS_HC

Parameters

  QSPIx | - QSPI instance

Return values

  TRUE/FALSE |

Definition at line 3095 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_instruction()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_instruction | ( | qspi_regs_t * | QSPIx | ) |

Check if the instruction phase is enabled or not for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | INST_EN

Parameters

  QSPIx | - QSPI instance

Return values

  TRUE/FALSE |

Definition at line 3007 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_mode_bits()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_mode_bits | ( | qspi_regs_t * | QSPIx | ) |

Check if the mode bits phase is enabled or not for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | MD_BITS_EN

Parameters

  QSPIx | - QSPI instance

Return values

  TRUE/FALSE |

Definition at line 2641 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_prefetch()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_prefetch | ( | qspi_regs_t * | QSPIx | ) |

check if the pre-fetch feature is enabled or not for concurrent xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | XIP_PREFETCH_EN

Parameters

  QSPIx | - QSPI instance

Return values

  TRUE/FALSE |

Definition at line 2911 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_is_enabled_xip_ss()

__STATIC_INLINE uint32_t ll_qspi_concurrent_is_enabled_xip_ss | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | ss
| ) |  |

Check if the slave is enabled or not for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_SER | SER

Parameters

  QSPIx | - QSPI instance
  ss | - LL_QSPI_CONCURRENT_XIP_SLAVE0

Return values

  None |

Definition at line 2830 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_address_size()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_address_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | addr_size
| ) |  |

Set the address size for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | ADDR_L

Parameters

  QSPIx | - QSPI instance
  addr_size | - LL_QSPI_CONCURRENT_XIP_ADDRSIZE_0BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_4BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_8BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_12BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_16BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_20BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_24BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_28BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_32BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_36BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_40BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_44BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_48BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_52BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_56BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_60BIT

Return values

  none |

Definition at line 3161 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_frame_format()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_frame_format | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | format
| ) |  |

Set the QSPI frame format for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | FRF

Parameters

  QSPIx | - QSPI instance
  format | - LL_QSPI_CONCURRENT_XIP_FRF_RSVD LL_QSPI_CONCURRENT_XIP_FRF_DUAL_SPI LL_QSPI_CONCURRENT_XIP_FRF_QUAD_SPI LL_QSPI_CONCURRENT_XIP_FRF_OCTAL_SPI

Return values

  none |

Definition at line 3251 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_incr_inst()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_incr_inst | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst
| ) |  |

set the ahb-incr transfer instruction in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_INCR_INST | INCR_INST

Parameters

  QSPIx | - QSPI instance
  inst | - instruction op-code, [0 ~ 0xFFFF]

Return values

  None |

Definition at line 2730 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_inst_addr_transfer_format()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_inst_addr_transfer_format | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | format
| ) |  |

Set the transfer format of inst & address for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | TRANS_TYPE

Parameters

  QSPIx | - QSPI instance
  format | - LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPI LL_QSPI_CONCURRENT_XIP_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPIFRF

Return values

  none |

Definition at line 3212 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_instruction_size()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_instruction_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst_size
| ) |  |

Set the instruction size for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | INST_L

Parameters

  QSPIx | - QSPI instance
  inst_size | - LL_QSPI_CONCURRENT_XIP_INSTSIZE_0BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_4BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_8BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_16BIT

Return values

  none |

Definition at line 3027 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_mode_bits_data()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_mode_bits_data | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mode
| ) |  |

set the mode phase (sent after address phase) value in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_MODE_BITS | XIP_MD_BITS

Parameters

  QSPIx | - QSPI instance
  mode | - mode value, [0 ~ 0xFFFF]

Return values

  None |

Definition at line 2697 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_mode_bits_length()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_mode_bits_length | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mbl
| ) |  |

Set the length of mode bits phase for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | XIP_MBL

Parameters

  QSPIx | - QSPI instance
  mbl | - LL_QSPI_CONCURRENT_XIP_MBL_2 LL_QSPI_CONCURRENT_XIP_MBL_4 LL_QSPI_CONCURRENT_XIP_MBL_8 LL_QSPI_CONCURRENT_XIP_MBL_16

Return values

  none |

Definition at line 2661 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_toc()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_toc | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | xtoc
| ) |  |

Set time out count for continuous transfer for xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CNT_TIME_OUT | XTOC

Parameters

  QSPIx | - QSPI instance
  xtoc | - time out counter value in terms of hclk [0 ~ 0xFF]

Return values

  None |

Definition at line 2847 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wait_cycles()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wait_cycles | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | wait_cycles
| ) |  |

Set the wait(also called dummy) cycles for concurrent xip mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_CTRL | WAIT_CYCLES

Parameters

  QSPIx | - QSPI instance
  wait_cycles | - 0 ~ 31

Return values

  none |

Definition at line 3112 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_address_size()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_address_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | addr_size
| ) |  |

Set the address size for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | ADDRL

Parameters

  QSPIx | - QSPI instance
  addr_size | - LL_QSPI_CONCURRENT_XIP_ADDRSIZE_0BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_4BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_8BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_12BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_16BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_20BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_24BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_28BIT LL_QSPI_CONCURRENT_XIP_ADDRSIZE_32BIT

Return values

  none |

Definition at line 3663 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_frame_format()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_frame_format | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | format
| ) |  |

Set the QSPI frame format for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | FRF

Parameters

  QSPIx | - QSPI instance
  format | - LL_QSPI_CONCURRENT_XIP_FRF_RSVD LL_QSPI_CONCURRENT_XIP_FRF_DUAL_SPI LL_QSPI_CONCURRENT_XIP_FRF_QUAD_SPI LL_QSPI_CONCURRENT_XIP_FRF_OCTAL_SPI

Return values

  none |

Definition at line 3746 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_incr_inst()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_incr_inst | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst
| ) |  |

set the ahb-incr transfer instruction for write in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_INCR_INST | WR_INCR_INST

Parameters

  QSPIx | - QSPI instance
  inst | - instruction op-code, [0 ~ 0xFFFF]

Return values

  None |

Definition at line 3513 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_inst_addr_transfer_format()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_inst_addr_transfer_format | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | format
| ) |  |

Set the transfer format of inst & address for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | TRANS_TYPE

Parameters

  QSPIx | - QSPI instance
  format | - LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPI LL_QSPI_CONCURRENT_XIP_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_CONCURRENT_XIP_INST_ADDR_ALL_IN_SPIFRF

Return values

  none |

Definition at line 3707 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_instruction_size()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_instruction_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst_size
| ) |  |

Set the instruction size for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | INSTL

Parameters

  QSPIx | - QSPI instance
  inst_size | - LL_QSPI_CONCURRENT_XIP_INSTSIZE_0BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_4BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_8BIT LL_QSPI_CONCURRENT_XIP_INSTSIZE_16BIT

Return values

  none |

Definition at line 3617 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_wait_cycles()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_wait_cycles | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | wait_cycles
| ) |  |

Set the wait(also called dummy) cycles for concurrent xip write mode.

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_CTRL | WAITCYCLES

Parameters

  QSPIx | - QSPI instance
  wait_cycles | - 0 ~ 31

Return values

  none |

Definition at line 3580 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wr_wrap_inst()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wr_wrap_inst | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst
| ) |  |

set the ahb-wrap transfer instruction for write in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WR_WRAP_INST | WR_WRAP_INST

Parameters

  QSPIx | - QSPI instance
  inst | - wrap instruction op-code, [0 ~ 0xFFFF]

Return values

  None |

Definition at line 3546 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_concurrent_set_xip_wrap_inst()

__STATIC_INLINE void ll_qspi_concurrent_set_xip_wrap_inst | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | inst
| ) |  |

set the ahb-wrap transfer instruction in xip mode

Note
  This bit should not be changed when xip is ongoing.

Register|BitsName --------|-------- XIP_WRAP_INST | WRAP_INST

Parameters

  QSPIx | - QSPI instance
  inst | - wrap instruction op-code, [0 ~ 0xFFFF]

Return values

  None |

Definition at line 2763 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_disable_clk_stretch()

__STATIC_INLINE void ll_qspi_disable_clk_stretch | ( | qspi_regs_t * | QSPIx | ) |

Disable the clock stretch feature for Enhanced SPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | CLK_STRETCH_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2397 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_disable_dws()

__STATIC_INLINE void ll_qspi_disable_dws | ( | qspi_regs_t * | QSPIx | ) |

Disable dynamic of wait states for QSPI peripheral.

Note
  When disabling the SPI, follow the procedure described in the Reference Manual.

Register|BitsName --------|-------- CTRL0 | DWS_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3396 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_disable_hresp_err_debug_mode()

__STATIC_INLINE void ll_qspi_disable_hresp_err_debug_mode | ( | void |  | ) |

Disable the AHB Response Error Debug for all QSPI Modules. if violation, hardfault happens.

Note
  Just enable in debug mode, not enable in release code

Register|BitsName --------|-------- QSPI_M_HRESP_DBG : QSPI_M_HRESP_ERR_MASK

Return values

  none |

Definition at line 3802 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_disable_xip()

void ll_qspi_disable_xip | ( | qspi_regs_t * | QSPIx | ) |

Disable qspi xip mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : M0_XIP_EN | M1_XIP_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

## ◆ ll_qspi_disable_xip_dynamic_le()

__STATIC_INLINE void ll_qspi_disable_xip_dynamic_le | ( | qspi_regs_t * | QSPIx | ) |

Disable qspi xip dynamic little-endian mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : MCU_SUB_QSPI_M_XIP_M0_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M1_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M2_DYNAMIC_LE_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3948 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_clk_stretch()

__STATIC_INLINE void ll_qspi_enable_clk_stretch | ( | qspi_regs_t * | QSPIx | ) |

Enable the clock stretch feature for Enhanced SPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | CLK_STRETCH_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2381 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_dws()

__STATIC_INLINE void ll_qspi_enable_dws | ( | qspi_regs_t * | QSPIx | ) |

Enable dynamic of wait states for QSPI peripheral.

Register|BitsName --------|-------- CTRL0 | DWS_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3380 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_hresp_err_debug_mode()

__STATIC_INLINE void ll_qspi_enable_hresp_err_debug_mode | ( | void |  | ) |

Enable the AHB Response Error Debug for all QSPI Modules. if violation, hardfault happens.

Note
  Just enable in debug mode, not enable in release code Set 0 to get hardfault when generate hresp = 1 Set 1 to avoid hardfault and always mask the hresp to 0, 1 is default value after System Reset

Register|BitsName --------|-------- QSPI_M_HRESP_DBG : QSPI_M_HRESP_ERR_MASK

Return values

  none |

Definition at line 3785 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_enable_xip()

void ll_qspi_enable_xip | ( | qspi_regs_t * | QSPIx | ) |

Enable qspi xip mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : M0_XIP_EN | M1_XIP_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

## ◆ ll_qspi_enable_xip_dynamic_le()

__STATIC_INLINE void ll_qspi_enable_xip_dynamic_le | ( | qspi_regs_t * | QSPIx | ) |

Enable qspi xip dynamic little-endian mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : MCU_SUB_QSPI_M_XIP_M0_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M1_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M2_DYNAMIC_LE_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3930 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_addr_inst_transfer_format()

__STATIC_INLINE uint32_t ll_qspi_get_addr_inst_transfer_format | ( | qspi_regs_t * | QSPIx | ) |

Get Dual/Quad SPI mode address and instruction transfer format.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | TRANSTYPE

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: LL_QSPI_INST_ADDR_ALL_IN_SPI LL_QSPI_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_INST_ADDR_ALL_IN_SPIFRF

Definition at line 2591 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_address_size()

__STATIC_INLINE uint32_t ll_qspi_get_address_size | ( | qspi_regs_t * | QSPIx | ) |

Get Dual/Quad SPI mode address length in bits.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | ADDRL

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: LL_QSPI_ADDRSIZE_0BIT LL_QSPI_ADDRSIZE_4BIT LL_QSPI_ADDRSIZE_8BIT LL_QSPI_ADDRSIZE_12BIT LL_QSPI_ADDRSIZE_16BIT LL_QSPI_ADDRSIZE_20BIT LL_QSPI_ADDRSIZE_24BIT LL_QSPI_ADDRSIZE_28BIT LL_QSPI_ADDRSIZE_32BIT LL_QSPI_ADDRSIZE_36BIT LL_QSPI_ADDRSIZE_40BIT LL_QSPI_ADDRSIZE_44BIT LL_QSPI_ADDRSIZE_48BIT LL_QSPI_ADDRSIZE_52BIT LL_QSPI_ADDRSIZE_56BIT LL_QSPI_ADDRSIZE_60BIT

Definition at line 2552 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_cs_release_delay()

__STATIC_INLINE uint32_t ll_qspi_get_cs_release_delay | ( | qspi_regs_t * | QSPIx | ) |

Get CS Release Delay for QSPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_CS_RELEASE_DLY : MCU_SUB_QSPI_M0_CS_RELEASE_DLY | MCU_SUB_QSPI_M1_CS_RELEASE_DLY | MCU_SUB_QSPI_M2_CS_RELEASE_DLY

Parameters

  QSPIx | QSPI instance

Return values

  the | SLCK count to delay

Definition at line 3906 of file gr55xx_ll_qspi.h.

References ll_qspi_get_baud_rate_prescaler().

## ◆ ll_qspi_get_cs_setup_delay()

__STATIC_INLINE uint32_t ll_qspi_get_cs_setup_delay | ( | qspi_regs_t * | QSPIx | ) |

Get CS Setup Delay for QSPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_CS_SETUP_DLY : MCU_SUB_QSPI_M0_CS_SETUP_DLY | MCU_SUB_QSPI_M1_CS_SETUP_DLY | MCU_SUB_QSPI_M2_CS_SETUP_DLY

Parameters

  QSPIx | QSPI instance

Return values

  the | SLCK count to delay

Definition at line 3859 of file gr55xx_ll_qspi.h.

References ll_qspi_get_baud_rate_prescaler().

## ◆ ll_qspi_get_dynamic_wait_state()

__STATIC_INLINE uint32_t ll_qspi_get_dynamic_wait_state | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | dyn_ws
| ) |  |

get the value for dynamic wait state

Note
  This bit should not be changed when QSPI is ongoing.

Register|BitsName --------|-------- SPI_CTRL1 | QSPI_SCTRL1_DYN_WS

Parameters

  QSPIx | - QSPI instance
  dyn_ws | - dynamic wait state [0 ~ 7]

Return values

  dynamic | wait state [0 ~ 7]

Definition at line 3496 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_instruction_size()

__STATIC_INLINE uint32_t ll_qspi_get_instruction_size | ( | qspi_regs_t * | QSPIx | ) |

Get Dual/Quad SPI mode instruction length in bits.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | INSTL

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: LL_QSPI_INSTSIZE_0BIT LL_QSPI_INSTSIZE_4BIT LL_QSPI_INSTSIZE_8BIT LL_QSPI_INSTSIZE_16BIT

Definition at line 2487 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_max_wait_cycles()

__STATIC_INLINE uint32_t ll_qspi_get_max_wait_cycles | ( | qspi_regs_t * | QSPIx | ) |

get the max wait cycles per transaction for dynamic wait state

Note
  This bit should not be changed when QSPI is ongoing.

Register|BitsName --------|-------- SPI_CTRL1 | QSPI_SCTRL1_MAX_WS

Parameters

  QSPIx | - QSPI instance

Return values

  max | wait cycles per transaction [0 ~ 15]

Definition at line 3462 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_reg_mode_rx_fifo_depth()

__STATIC_INLINE uint32_t ll_qspi_get_reg_mode_rx_fifo_depth | ( | qspi_regs_t * | QSPIx | ) |

Get Receive FIFO Depth Of Register Mode.

Note

Parameters

  QSPIx | QSPI instance

Return values

  Receive | FIFO Depth corresponded to QSPI instance

Definition at line 3978 of file gr55xx_ll_qspi.h.

References LL_QSPI0_REG_RX_FIFO_DEPTH, LL_QSPI1_REG_RX_FIFO_DEPTH, and LL_QSPI2_REG_RX_FIFO_DEPTH.

## ◆ ll_qspi_get_reg_mode_tx_fifo_depth()

__STATIC_INLINE uint32_t ll_qspi_get_reg_mode_tx_fifo_depth | ( | qspi_regs_t * | QSPIx | ) |

Get Transmit FIFO Depth Of Register Mode.

Note

Parameters

  QSPIx | QSPI instance

Return values

  Transmit | FIFO Depth corresponded to QSPI instance

Definition at line 3995 of file gr55xx_ll_qspi.h.

References LL_QSPI0_REG_TX_FIFO_DEPTH, LL_QSPI1_REG_TX_FIFO_DEPTH, and LL_QSPI2_REG_TX_FIFO_DEPTH.

## ◆ ll_qspi_get_rx_sample_delay()

__STATIC_INLINE uint32_t ll_qspi_get_rx_sample_delay | ( | qspi_regs_t * | QSPIx | ) |

Get Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 256

Definition at line 2365 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_rx_sample_edge()

__STATIC_INLINE uint32_t ll_qspi_get_rx_sample_edge | ( | qspi_regs_t * | QSPIx | ) |

Get the RX sample edge.

Register|BitsName --------|-------- RX_SAMPLE_DELAY | SE

Parameters

  QSPIx | QSPI instance

Return values

  edge | - @ ref LL_QSPI_RX_SAMPLE_POSITIVE_EDGE @ ref LL_QSPI_RX_SAMPLE_NEGATIVE_EDGE

Definition at line 2332 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_wait_cycles()

__STATIC_INLINE uint32_t ll_qspi_get_wait_cycles | ( | qspi_regs_t * | QSPIx | ) |

Get number of wait cycles in Dual/Quad SPI mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | WAITCYCLES

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 31

Definition at line 2446 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_xip_base_address()

__STATIC_INLINE uint32_t ll_qspi_get_xip_base_address | ( | qspi_regs_t * | QSPIx | ) |

Get Transmit FIFO Depth Of XIP Mode.

Note

Parameters

  QSPIx | QSPI instance

Return values

  Transmit | FIFO Depth corresponded to QSPI instance

Definition at line 4046 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_xip_endian_mode()

__STATIC_INLINE uint32_t ll_qspi_get_xip_endian_mode | ( | qspi_regs_t * | QSPIx | ) |

Get xip's endian mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : QSPI_M_XIP_M0_ENDIAN | QSPI_M_XIP_M1_ENDIAN | QSPI_M_XIP_M2_ENDIAN

Parameters

  QSPIx | QSPI instance

Return values

  Returned | value can be one of the following values: LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_0 LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_1 LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_2

Definition at line 3360 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_get_xip_mode_rx_fifo_depth()

__STATIC_INLINE uint32_t ll_qspi_get_xip_mode_rx_fifo_depth | ( | qspi_regs_t * | QSPIx | ) |

Get Receive FIFO Depth Of XIP Mode.

Note

Parameters

  QSPIx | QSPI instance

Return values

  Receive | FIFO Depth corresponded to QSPI instance

Definition at line 4012 of file gr55xx_ll_qspi.h.

References LL_QSPI0_XIP_RX_FIFO_DEPTH, LL_QSPI1_XIP_RX_FIFO_DEPTH, and LL_QSPI2_XIP_RX_FIFO_DEPTH.

## ◆ ll_qspi_get_xip_mode_tx_fifo_depth()

__STATIC_INLINE uint32_t ll_qspi_get_xip_mode_tx_fifo_depth | ( | qspi_regs_t * | QSPIx | ) |

Get Transmit FIFO Depth Of XIP Mode.

Note

Parameters

  QSPIx | QSPI instance

Return values

  Transmit | FIFO Depth corresponded to QSPI instance

Definition at line 4029 of file gr55xx_ll_qspi.h.

References LL_QSPI0_XIP_TX_FIFO_DEPTH, LL_QSPI1_XIP_TX_FIFO_DEPTH, and LL_QSPI2_XIP_TX_FIFO_DEPTH.

## ◆ ll_qspi_is_enabled_clk_stretch()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_clk_stretch | ( | qspi_regs_t * | QSPIx | ) |

Check if the clock stretch feature is enabled or not for Enhanced SPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | CLK_STRETCH_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 2413 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_enabled_dws()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_dws | ( | qspi_regs_t * | QSPIx | ) |

Check if dynamic of wait states for QSPI peripheral is enabled.

Register|BitsName --------|-------- CTRL0 | DWS_EN

Parameters

  QSPIx | QSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 3411 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_enabled_xip()

uint32_t ll_qspi_is_enabled_xip | ( | qspi_regs_t * | QSPIx | ) |

Check if qspi xip mode is enabled.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : M0_XIP_EN | M1_XIP_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

## ◆ ll_qspi_is_enabled_xip_dynamic_le()

__STATIC_INLINE uint32_t ll_qspi_is_enabled_xip_dynamic_le | ( | qspi_regs_t * | QSPIx | ) |

Check if qspi xip dynamic little-endian mode is enabled.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : MCU_SUB_QSPI_M_XIP_M0_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M1_DYNAMIC_LE_EN | MCU_SUB_QSPI_M_XIP_M2_DYNAMIC_LE_EN

Parameters

  QSPIx | QSPI instance

Return values

  None |

Definition at line 3966 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_is_hresp_err_debug_mode_enabled()

__STATIC_INLINE uint32_t ll_qspi_is_hresp_err_debug_mode_enabled | ( | void |  | ) |

Check if the AHB Response Error Debug is enabled for all QSPI Modules.

Note

Register|BitsName --------|-------- QSPI_M_HRESP_DBG : QSPI_M_HRESP_ERR_MASK

Return values

  none |

Definition at line 3819 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_receive_data16()

__STATIC_INLINE uint16_t ll_qspi_receive_data16 | ( | qspi_regs_t * | QSPIx | ) |

Read 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance

Return values

  Returned | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Definition at line 2284 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_receive_data32()

__STATIC_INLINE uint32_t ll_qspi_receive_data32 | ( | qspi_regs_t * | QSPIx | ) |

Read 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance

Return values

  Returned | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Definition at line 2299 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_receive_data8()

__STATIC_INLINE uint8_t ll_qspi_receive_data8 | ( | qspi_regs_t * | QSPIx | ) |

Read 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance

Return values

  Rerturned | Value between Min_Data=0x00 and Max_Data=0xFF

Definition at line 2269 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_add_inst_transfer_format()

__STATIC_INLINE void ll_qspi_set_add_inst_transfer_format | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | format
| ) |  |

Set Dual/Quad SPI mode address and instruction transfer format.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | TRANSTYPE

Parameters

  QSPIx | QSPI instance
  format | This parameter can be one of the following values: LL_QSPI_INST_ADDR_ALL_IN_SPI LL_QSPI_INST_IN_SPI_ADDR_IN_SPIFRF LL_QSPI_INST_ADDR_ALL_IN_SPIFRF

Return values

  None |

Definition at line 2572 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_address_size()

__STATIC_INLINE void ll_qspi_set_address_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | size
| ) |  |

Set Dual/Quad SPI mode address length in bits.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | ADDRL

Parameters

  QSPIx | QSPI instance
  size | This parameter can be one of the following values: LL_QSPI_ADDRSIZE_0BIT LL_QSPI_ADDRSIZE_4BIT LL_QSPI_ADDRSIZE_8BIT LL_QSPI_ADDRSIZE_12BIT LL_QSPI_ADDRSIZE_16BIT LL_QSPI_ADDRSIZE_20BIT LL_QSPI_ADDRSIZE_24BIT LL_QSPI_ADDRSIZE_28BIT LL_QSPI_ADDRSIZE_32BIT LL_QSPI_ADDRSIZE_36BIT LL_QSPI_ADDRSIZE_40BIT LL_QSPI_ADDRSIZE_44BIT LL_QSPI_ADDRSIZE_48BIT LL_QSPI_ADDRSIZE_52BIT LL_QSPI_ADDRSIZE_56BIT LL_QSPI_ADDRSIZE_60BIT

Return values

  None |

Definition at line 2520 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_cs_release_delay()

__STATIC_INLINE void ll_qspi_set_cs_release_delay | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | delay
| ) |  |

Set CS Release Delay for QSPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_CS_RELEASE_DLY : MCU_SUB_QSPI_M0_CS_RELEASE_DLY | MCU_SUB_QSPI_M1_CS_RELEASE_DLY | MCU_SUB_QSPI_M2_CS_RELEASE_DLY

Parameters

  QSPIx | QSPI instance
  delay | - the SLCK count to delay

Return values

  None |

Definition at line 3885 of file gr55xx_ll_qspi.h.

References ll_qspi_get_baud_rate_prescaler().

## ◆ ll_qspi_set_cs_setup_delay()

__STATIC_INLINE void ll_qspi_set_cs_setup_delay | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | delay
| ) |  |

Set CS Setup Delay for QSPI.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_CS_SETUP_DLY : MCU_SUB_QSPI_M0_CS_SETUP_DLY | MCU_SUB_QSPI_M1_CS_SETUP_DLY | MCU_SUB_QSPI_M2_CS_SETUP_DLY

Parameters

  QSPIx | QSPI instance
  delay | - the SLCK count to delay

Return values

  None |

Definition at line 3838 of file gr55xx_ll_qspi.h.

References ll_qspi_get_baud_rate_prescaler().

## ◆ ll_qspi_set_dynamic_wait_state()

__STATIC_INLINE void ll_qspi_set_dynamic_wait_state | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | dyn_ws
| ) |  |

set the value for dynamic wait state

Note
  This bit should not be changed when QSPI is ongoing.

Register|BitsName --------|-------- SPI_CTRL1 | QSPI_SCTRL1_DYN_WS

Parameters

  QSPIx | - QSPI instance
  dyn_ws | - dynamic wait state [0 ~ 7]

Return values

  None |

Definition at line 3479 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_instruction_size()

__STATIC_INLINE void ll_qspi_set_instruction_size | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | size
| ) |  |

Set Dual/Quad SPI mode instruction length in bits.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | INSTL

Parameters

  QSPIx | QSPI instance
  size | This parameter can be one of the following values: LL_QSPI_INSTSIZE_0BIT LL_QSPI_INSTSIZE_4BIT LL_QSPI_INSTSIZE_8BIT LL_QSPI_INSTSIZE_16BIT

Return values

  None |

Definition at line 2467 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_max_wait_cycles()

__STATIC_INLINE void ll_qspi_set_max_wait_cycles | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | max_ws
| ) |  |

set the max wait cycles per transaction for dynamic wait state

Note
  This bit should not be changed when QSPI is ongoing.

Register|BitsName --------|-------- SPI_CTRL1 | QSPI_SCTRL1_MAX_WS

Parameters

  QSPIx | - QSPI instance
  max_ws | - max wait cycles per transaction [0 ~ 15]

Return values

  None |

Definition at line 3446 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_rx_sample_delay()

__STATIC_INLINE void ll_qspi_set_rx_sample_delay | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | delay
| ) |  |

Set Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  QSPIx | QSPI instance
  delay | This parameter can be one of the following values: 0 ~ 256

Return values

  None |

Definition at line 2349 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_rx_sample_edge()

__STATIC_INLINE void ll_qspi_set_rx_sample_edge | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | edge
| ) |  |

Set the RX sample edge.

Register|BitsName --------|-------- RX_SAMPLE_DELAY | SE

Parameters

  QSPIx | QSPI instance
  edge | - @ ref LL_QSPI_RX_SAMPLE_POSITIVE_EDGE @ ref LL_QSPI_RX_SAMPLE_NEGATIVE_EDGE

Return values

  none |

Definition at line 2316 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_wait_cycles()

__STATIC_INLINE void ll_qspi_set_wait_cycles | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | wait_cycles
| ) |  |

Set number of wait cycles in Dual/Quad SPI mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- SCTRL0 | WAITCYCLES

Parameters

  QSPIx | QSPI instance
  wait_cycles | This parameter can be one of the following values: 0 ~ 31

Return values

  None |

Definition at line 2430 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_set_xip_endian_mode()

__STATIC_INLINE void ll_qspi_set_xip_endian_mode | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | mode
| ) |  |

Set xip's endian mode.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- QSPI_M_XIP : QSPI_M_XIP_M0_ENDIAN | QSPI_M_XIP_M1_ENDIAN | QSPI_M_XIP_M2_ENDIAN

Parameters

  QSPIx | QSPI instance
  mode | - This parameter can be one of the following values: LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_0 LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_1 LL_QSPI_CONCURRENT_XIP_ENDIAN_MODE_2

Return values

  None |

Definition at line 3336 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_transmit_data16()

__STATIC_INLINE void ll_qspi_transmit_data16 | ( | qspi_regs_t * | QSPIx,
|  | uint16_t | tx_data
| ) |  |

Write 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance
  tx_data | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Return values

  None |

Definition at line 2238 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_transmit_data32()

__STATIC_INLINE void ll_qspi_transmit_data32 | ( | qspi_regs_t * | QSPIx,
|  | uint32_t | tx_data
| ) |  |

Write 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance
  tx_data | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 2254 of file gr55xx_ll_qspi.h.

## ◆ ll_qspi_transmit_data8()

__STATIC_INLINE void ll_qspi_transmit_data8 | ( | qspi_regs_t * | QSPIx,
|  | uint8_t | tx_data
| ) |  |

Write 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  QSPIx | QSPI instance
  tx_data | Value between Min_Data=0x00 and Max_Data=0xFF

Return values

  None |

Definition at line 2222 of file gr55xx_ll_qspi.h.

## ◆ ll_spi_get_rx_sample_delay()

__STATIC_INLINE uint32_t ll_spi_get_rx_sample_delay | ( | spi_regs_t * | SPIx | ) |

Get Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 1791 of file gr55xx_ll_spi.h.

## ◆ ll_spi_receive_data16()

__STATIC_INLINE uint16_t ll_spi_receive_data16 | ( | spi_regs_t * | SPIx | ) |

Read 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Returned | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Definition at line 1743 of file gr55xx_ll_spi.h.

## ◆ ll_spi_receive_data32()

__STATIC_INLINE uint32_t ll_spi_receive_data32 | ( | spi_regs_t * | SPIx | ) |

Read 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Returned | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Definition at line 1758 of file gr55xx_ll_spi.h.

## ◆ ll_spi_receive_data8()

__STATIC_INLINE uint8_t ll_spi_receive_data8 | ( | spi_regs_t * | SPIx | ) |

Read 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Rerturned | Value between Min_Data=0x00 and Max_Data=0xFF

Definition at line 1728 of file gr55xx_ll_spi.h.

## ◆ ll_spi_set_rx_sample_delay()

__STATIC_INLINE void ll_spi_set_rx_sample_delay | ( | spi_regs_t * | SPIx,
|  | uint32_t | delay
| ) |  |

Set Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  SPIx | SPI instance
  delay | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 1775 of file gr55xx_ll_spi.h.

## ◆ ll_spi_transmit_data16()

__STATIC_INLINE void ll_spi_transmit_data16 | ( | spi_regs_t * | SPIx,
|  | uint16_t | tx_data
| ) |  |

Write 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Return values

  None |

Definition at line 1697 of file gr55xx_ll_spi.h.

## ◆ ll_spi_transmit_data32()

__STATIC_INLINE void ll_spi_transmit_data32 | ( | spi_regs_t * | SPIx,
|  | uint32_t | tx_data
| ) |  |

Write 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1713 of file gr55xx_ll_spi.h.

## ◆ ll_spi_transmit_data8()

__STATIC_INLINE void ll_spi_transmit_data8 | ( | spi_regs_t * | SPIx,
|  | uint8_t | tx_data
| ) |  |

Write 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x00 and Max_Data=0xFF

Return values

  None |

Definition at line 1681 of file gr55xx_ll_spi.h.